=== src/lib/ubuntu-ui-extras/debian/changelog ===
ubuntu-ui-extras (0.4+ubports) xenial; urgency=medium

  * Imported to UBports

 -- UBports auto importer <infra@ubports.com>  Sun, 07 Jan 2018 23:38:30 +0100

ubuntu-ui-extras (0.3+17.04.20170323-0ubuntu1) zesty; urgency=medium

  [ Andrew Hayzen, Jonas G. Drange ]
  * Adds devices as an model on Printers, and re-instates remote printer model on Printers.
  * makes sure the backend is refreshed on enable/disable
  * If printerAdded is called ensure there is always a proxy printer
        corrects thread affinity for printerloaded printers, as well as any qobject children it might have
  * Remove PrinterQueue.qml example and add missing job methods to Printers.qml example, so we have only one example
  * improves the deviceName by dropping the CMD (note that the full string remains accessible from device.id)
  * Connect job-impressions-completed from cups to PrinterJob::impressionsCompleted()
  * In the job model listen to printerStateChanged as changes t job-impressions-completed causes that signal
  * Improve the PrinterSignalHandler to limit the maximum wait time of unprocessed signals to four times the timeout
  * Add unit test for SignalRateLimiter to check it does perform a flush
  * Rename PrinterSignalHandler to SignalRateLimiter
  * Add a JobLoader for loading a specific jobId for a printer and loading the extended attributes
  * Move the loading of creationTime, completedTime, processingTime, size and user to extended attributes as signals don't give us those
  * Add method for PrinterBackend for getting a specific job
  * Split up JobModel::update so there is jobCreated, jobState and jobCompleted which then call addJob, removeJob and updateJob
  * Improve Printer::updateFrom to not call loadAttributes as this results in a possible UI block
  * Add missing comparisions for PrinterJob deepCompare and updateFrom
  * Change PrinterJob::setPrinter to not call loadDefaults and instead explicitly call it
  * Change Printers to trigger requestJobExtendedAttributes which triggers a background thread rather than doing in foreground
  * exposes copies attribute on the printer
  * includes cups/adminutils.h into which the cups device callback was moved in >= libcups2-dev 2.2.2
  * allows browsing on local and remote printers
  * Add filters for active, paused and queued
  * Add sorting by creationTime and then falling back to id
  * Change time related roles in JobModel to return QDateTime, not QString, so sorting doesn't break
  * Update tests
  * Change printerGetJobAttributes to use printer-uri and job-id (the same as holdJob and releaseJob
  * Give printerGetJobAttributes printerName so we can ensure we get the correct job
  * adds read/write of the shared property
  * adds extended attribute fetching (IppClient::printerGetAttributes)
  * refactors attribute retrieval from cups
  * implements deviceUri and lastMessage on Printer
  * adds Printers.printTestPage
  * Add tests for JobModel roles
  * Add tests for make and location in Printer
  * Fix JobModel color and quality roles to use fallback if no text
  * Add tests for all roles in PrinterModel
  * Remove PdfRole it is not used (IsPdfRole instead)
  * Add holdJob and releaseJob methods to Printers
  * Add HeldRole to JobModel
  * Add tests for hold and releasing a job
  * Update example to show how hold and release work
  * Update StateRole to return just the state, not text
  * Remove PrinterJob friends and make setters public as they aren't exposed to QML anyway
  * adds make and location to printermodel and printer
  * Pull of trunk
  * Remove use of bitewise or as it fails in CI
  * guards against excessive loading of printers and drivers
  * adds loadPrinter method on Printers
  * drops a lot of code that was not used, and some TODOS/FIXMES that aren't necessary
  * Fix/add commented or empty tests
  * Implement tests that had QSKIP
  * removes empty brackets
  * adds cmake extras, required by printer stuff
  * Remove remaining fixme's
  * Rename UbuntuSettingsComponentsPrintersPlugin to UbuntuComponentsExtrasPrintersPlugin
  * Remove import Ubuntu.Settings.Components 0.1 from example qml imports
  * Rename definition UBUNTUSETTINGSPRINTERS_LIBRARY to UBUNTUCOMPONENTSEXTRASPRINTERS_LIBRARY
  * Rename UbuntuSettingsPrintersQml to UbuntuComponentsExtrasPrintersQml
  * Rename translation domain to ubuntu-ui-extras
  * Fix for printsupport being build-depends rather than depends

 -- Andrew Hayzen <ahayzen@gmail.com>  Thu, 23 Mar 2017 12:54:43 +0000

ubuntu-ui-extras (0.2+17.04.20170301.2-0ubuntu1) zesty; urgency=medium

  [ Andrew Hayzen, Jonas G. Drange ]
  * Add printer-components from ubuntu-settings-components to ubuntu-ui-
    extras (original branch https://code.launchpad.net/~phablet-
    team/ubuntu-settings-components/printer-components)

 -- Andrew Hayzen <ahayzen@gmail.com>  Wed, 01 Mar 2017 22:24:08 +0000

ubuntu-ui-extras (0.2+17.04.20170222-0ubuntu1) zesty; urgency=medium

  [ Andrew Hayzen ]
  * Add qml-module-qtqml-models2 as a depends, as it was missing
  * When the tab is being destroyed unset the source of the TabIcon
    Loader
  * Add qtdeclarative5-dev-tools, qml-module-ubuntu-test and xvfb as
    build-deps (LP: #1666556)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Wed, 22 Feb 2017 10:52:03 +0000

ubuntu-ui-extras (0.2+17.04.20170116-0ubuntu1) zesty; urgency=medium

  [ Florian Boucault ]
  * New component: TabsBar

 -- Kaleo <florian@boucault.net>  Mon, 16 Jan 2017 16:02:24 +0000

ubuntu-ui-extras (0.2+16.10.20160824.1-0ubuntu1) yakkety; urgency=medium

  [ Florian Boucault ]
  * Fix image orientation in photo image provider for Qt>=5.5

  [ Timo Jyrinki ]
  * Stop depending on transitional packages. (LP: #1583079) (LP:
    #1583079)

 -- Kaleo <florian@boucault.net>  Wed, 24 Aug 2016 15:47:28 +0000

ubuntu-ui-extras (0.2+16.10.20160714-0ubuntu1) yakkety; urgency=medium

  [ Florian Boucault ]
  * Fixes for crossbuilding.

 -- Kaleo <florian@boucault.net>  Thu, 14 Jul 2016 12:45:37 +0000


