=== src/lib/ubuntu-ui-extras/debian/control ===
Source: ubuntu-ui-extras
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: cmake (>= 2.8.9),
               cmake-extras (>= 0.10),
               debhelper (>= 9),
               gettext,
               libcups2-dev,
               libexiv2-dev,
               pkg-config,
               python:any,
               qt5-default,
               qtbase5-dev,
               qtdeclarative5-dev,
               qtdeclarative5-dev-tools,
               qml-module-qtquick2,
               qml-module-qttest,
               qml-module-ubuntu-components,
               qml-module-ubuntu-test,
               xvfb,
Standards-Version: 3.9.4
Homepage: https://launchpad.net/ubuntu-ui-extras
# If you aren't a member of ~ubuntu-sdk-team but need to upload packaging 
# changes, just go ahead. ~ubuntu-sdk-team will notice and sync up the code
# again.
Vcs-Bzr: https://code.launchpad.net/~ubuntu-sdk-team/ubuntu-ui-extras/trunk
Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-sdk-team/ubuntu-ui-extras/trunk/files
X-Ubuntu-Use-Langpack: yes

Package: qtdeclarative5-ubuntu-ui-extras0.2
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libqt5printsupport5,
         qml-module-qtqml-models2,
         qml-module-qtquick2,
         qml-module-ubuntu-components,
         qml-module-qtquick-window2,
Provides: qtdeclarative5-ubuntu-ui-extras0.1
Conflicts: qtdeclarative5-ubuntu-ui-extras0.1
Replaces: qtdeclarative5-ubuntu-ui-extras0.1
Description: Ubuntu UI Extra Components
 A collection of UI components that for various reasons can't be included in
 the main Ubuntu UI toolkit - mostly because of the level of quality, lack of
 documentation and/or lack of automated tests.
